#include<bits/stdc++.h>
using namespace std;
long long tsum,sol;
int N;
struct slog{
    int p,a;
}niz[200009];
bool cmp(slog a,slog b){
    return a.p>b.p;
}
float x;
int main(){
    scanf("%d",&N);
    for(int i=1; i<=N; i++){
        scanf("%d",&niz[i].a);
        scanf("%f",&x);
        niz[i].p=round(x*100);
    }
    sort(niz+1,niz+1+N,cmp);
    for(int i=1; i<=N; i++){
        tsum+=niz[i].a;
        sol=max(sol,tsum*niz[i].p);
    }
    printf("%.7f",1.0*sol/10000);

    return 0;
}